import bpy
from .. import tools
    
verts = ((0.0, 0.676979124546051, 0.0),
        (0.0, -0.676979124546051, 0.0),
        (-0.13435900211334229, 0.5, 0.0),
        (-0.1343589425086975, -0.5, 0.0),
        (0.1343589425086975, 0.5, 0.0),
        (0.13435900211334229, -0.5, 0.0))

edges = ((0, 1),
        (4, 0),
        (3, 1),
        (1, 5),
        (0, 2))

faces = ()


def get_widget():
    o = get_object('Arrow_dblWidget')
    o.hide_viewport = True
    return o


def get_object(name, collection='Widgets', parent_collection=''):
    
    o = bpy.data.objects.get(name)
    if o is not None:
        return o
    
    m = bpy.data.meshes.get(name)
    
    if m is None:
        m = bpy.data.meshes.new(name)
        m.from_pydata(verts, edges, faces)
        
    o = bpy.data.objects.new(name, m)
    
    tools.moveto_collection(o, collection, parent_collection)
    return o
